game = {}

require('room_1')
require('player')

function game.load()
  game.clock = 0

  -- Player init
  player.load()


  --Init rooms
  rooms = {"room_1", "room_2"}
  current_room = rooms[1]
  load_current_room = current_room..".load()"
  --update_current_room = current_room..".update(dt)"

  -- Load the current room
  _G[current_room].load()
end



function game.draw()
  -- Call the room's draw function
  if current_room == rooms[1] then
    room_1.draw()
  end
  if current_room == rooms[2] then
    room_2.draw()
  end

  -- Draw player
  player.draw()
end

function game.update(dt)
  game.clock = game.clock + dt

  -- Update player
  player.update(dt)

  -- Update the rooms
  if current_room == rooms[1] then
    room_1.update(dt)
  end

end

function game.keypressed(key)
  -- Call the room's keypressed function
  if current_room == rooms[1] then
    room_1.keypressed(dt)
  end
  if current_room == rooms[2] then
    room_2.keypressed(dt)
  end

  -- Restart game
  if key == "q" then
    love.load()
  end

end

function game.keyreleased(key)
  -- Call the room's keyreleased function
  if current_room == rooms[1] then
    room_1.keyreleased(dt)
  end
  if current_room == rooms[2] then
    room_2.keyreleased(dt)
  end
end
